Subject: Re: [PATCH] mailmap: add an entry for Phillip Wood

From: Phillip Wood <[email-masked]>
Date: Wed, 21 Jan 2026 10:43:53 +0000

On 20/01/2026 19:24, Jeff King wrote:
> On Tue, Jan 20, 2026 at 10:26:55AM -0800, Junio C Hamano wrote:
> 
> We do apply them in some places, like shortlog:
> 
>    $ cat >>.mailmap <<\EOF
>    Junio C Hamano <[email-masked]> <[email-masked]>
>    EOF
>    $ git shortlog -1 -ne --group=trailer:signed-off-by 3f051fc9
>    Junio C Hamano <[email-masked]> (1):
>          doc: patch-id: --verbatim locks in --stable
>    
>    Kristoffer Haugsbakk <[email-masked]> (1):
>          doc: patch-id: --verbatim locks in --stable
> 
> As you noted, we don't necessarily know that a given trailer represents
> an ident. But we try to parse them as one (not just for mailmap, but for
> stuff like "-e"), and if that doesn't work leave it as an opaque string.
> That all comes from 56d5dde752 (shortlog: parse trailer idents,
> 2020-09-27).

Ah so the mailmap entries I'm adding do have some limited use, but they 
don't work for git log.

> I _thought_ we added support for %(trailers) to handle mailmap, too,
> but...
> 
>> Or perhaps your "Yeah" is about "we've talkined about doing it"?
> 
> ...yeah, I think this is the case. There's a proof of concept at:
> 
>    https://lore.kernel.org/git/[email-masked]/

Thanks for the link, I thought we'd discussed it at one of the 
contributor summits but I couldn't remember if anything had come of it.

Phillip

> but nobody ever took it further (I do still run with it as part of my
> daily build, which probably enhanced my confusion ;) ).
> 
> -Peff
>